:root {
  font-family: Inter, system-ui, Avenir, Helvetica, Arial, sans-serif;
  line-height: 1.5;
  font-weight: 300;
}

*,
::after,
::before {
  margin: 0;
  padding: 0;
  box-sizing: border-box;
}

#app {
  display: flex;
  justify-content: center;
  align-items: center;
  width: 100%;
  height: 100vh;
  background: #f8fafc;
}

.container .top {
  display: flex;
  align-items: center;
  justify-content: space-between;
  padding: 0.5rem 0.75rem;
}
.container .top h4 {
  font-size: 20px;
  font-weight: 500;
  color: #334155;
}
.container .top span {
  display: block;
  color: #94a3b8;
  font-weight: 400;
}
.container .bottom {
  position: relative;
}
.container .bottom input {
  width: 300px;
  border-radius: 12px;
  border: 2px solid #cbd5e1;
  outline: none;
  color: #18181b;
  caret-color: #fff;
  font-size: 22px;
  font-weight: 300;
  padding: 0.75rem 1rem;
}
.container .bottom .cursor {
  top: 50%;
  left: 15px;
  transform: translateY(-50%);
  position: absolute;
  display: flex;
  justify-content: center;
  align-items: center;
  background: #cbd5e1;
  width: 7px;
  border-radius: 1rem;
  height: 30px;
  overflow: hidden;
}
.container .bottom .cursor .check {
  width: 20px;
  flex-shrink: 0;
  transform: scale(0);
}
.container .bottom .cursor .progress {
  position: absolute;
  width: 150%;
  left: 50%;
  bottom: 0;
  transform: translateX(-50%);
  background: #1d4ed8;
}

.letters {
  position: absolute;
  bottom: 0;
  opacity: 0;
}
.letters span {
  color: #18181b;
  font-size: 22px;
  font-weight: 400;
}
